|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Classes | Public Member Functions | Static Public Member Functions
gameplay::TerrainPatch Class Reference

`#include <TerrainPatch.h>`

Inheritance diagram for gameplay::TerrainPatch:

List of all members.

## Classes

struct | Layer
struct | LayerCompare
struct | Level

## Public Member Functions

unsigned int | getMaterialCount () const
Material * | getMaterial (int index=-1) const
const BoundingBox & | getBoundingBox (bool worldSpace) const
void | cameraChanged (Camera *camera)

## Static Public Member Functions

static std::string | passCallback (Pass *pass, void *cookie)

## Detailed Description

Defines a single patch for a Terrain.

## Member Function Documentation

void gameplay::TerrainPatch::cameraChanged | ( | Camera * | camera | ) | `[virtual]`

See also:
  Camera::Listener

Implements gameplay::Camera::Listener.

const BoundingBox& gameplay::TerrainPatch::getBoundingBox | ( | bool | worldSpace | ) | const

Gets the local bounding box for this patch, at the base LOD level.

Material* gameplay::TerrainPatch::getMaterial | ( | int | index = `-1` | ) | const

Gets the material for the specified level of detail index or -1 for the current level of detail based on the scene camera.

Parameters:

  index | The index for the level of detail to get the material for.

unsigned int gameplay::TerrainPatch::getMaterialCount | ( |  | ) | const

Gets the number of material for this patch for all level of details.

Returns:
  The number of material for this patch for all level of details.

static std::string gameplay::TerrainPatch::passCallback | ( | Pass * | pass,
|  | void * | cookie
| ) |  | `[static]`

Internal use only.

All Classes Functions Variables Typedefs Enumerations Enumerator